Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network58.166.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
58.166.0.0
Broadcast address
58.167.255.255
First usable
58.166.0.1
Last usable
58.167.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 3AA60000 · Integer 983957504 to 984088575
Reverse DNS zones
166.58.in-addr.arpa
167.58.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111010.10100110.00000000.0000000058.166.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00111010.10100110.00000000.0000000058.166.0.0
Broadcast00111010.10100111.11111111.1111111158.167.255.255
Split into smaller subnets/22

58.166.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
158.166.0.0/2258.166.0.1 to 58.166.3.25458.166.3.2551,022
258.166.4.0/2258.166.4.1 to 58.166.7.25458.166.7.2551,022
358.166.8.0/2258.166.8.1 to 58.166.11.25458.166.11.2551,022
458.166.12.0/2258.166.12.1 to 58.166.15.25458.166.15.2551,022
558.166.16.0/2258.166.16.1 to 58.166.19.25458.166.19.2551,022
658.166.20.0/2258.166.20.1 to 58.166.23.25458.166.23.2551,022
758.166.24.0/2258.166.24.1 to 58.166.27.25458.166.27.2551,022
858.166.28.0/2258.166.28.1 to 58.166.31.25458.166.31.2551,022
958.166.32.0/2258.166.32.1 to 58.166.35.25458.166.35.2551,022
1058.166.36.0/2258.166.36.1 to 58.166.39.25458.166.39.2551,022
1158.166.40.0/2258.166.40.1 to 58.166.43.25458.166.43.2551,022
1258.166.44.0/2258.166.44.1 to 58.166.47.25458.166.47.2551,022
1358.166.48.0/2258.166.48.1 to 58.166.51.25458.166.51.2551,022
1458.166.52.0/2258.166.52.1 to 58.166.55.25458.166.55.2551,022
1558.166.56.0/2258.166.56.1 to 58.166.59.25458.166.59.2551,022
1658.166.60.0/2258.166.60.1 to 58.166.63.25458.166.63.2551,022
1758.166.64.0/2258.166.64.1 to 58.166.67.25458.166.67.2551,022
1858.166.68.0/2258.166.68.1 to 58.166.71.25458.166.71.2551,022
1958.166.72.0/2258.166.72.1 to 58.166.75.25458.166.75.2551,022
2058.166.76.0/2258.166.76.1 to 58.166.79.25458.166.79.2551,022
2158.166.80.0/2258.166.80.1 to 58.166.83.25458.166.83.2551,022
2258.166.84.0/2258.166.84.1 to 58.166.87.25458.166.87.2551,022
2358.166.88.0/2258.166.88.1 to 58.166.91.25458.166.91.2551,022
2458.166.92.0/2258.166.92.1 to 58.166.95.25458.166.95.2551,022
2558.166.96.0/2258.166.96.1 to 58.166.99.25458.166.99.2551,022
2658.166.100.0/2258.166.100.1 to 58.166.103.25458.166.103.2551,022
2758.166.104.0/2258.166.104.1 to 58.166.107.25458.166.107.2551,022
2858.166.108.0/2258.166.108.1 to 58.166.111.25458.166.111.2551,022
2958.166.112.0/2258.166.112.1 to 58.166.115.25458.166.115.2551,022
3058.166.116.0/2258.166.116.1 to 58.166.119.25458.166.119.2551,022
3158.166.120.0/2258.166.120.1 to 58.166.123.25458.166.123.2551,022
3258.166.124.0/2258.166.124.1 to 58.166.127.25458.166.127.2551,022
3358.166.128.0/2258.166.128.1 to 58.166.131.25458.166.131.2551,022
3458.166.132.0/2258.166.132.1 to 58.166.135.25458.166.135.2551,022
3558.166.136.0/2258.166.136.1 to 58.166.139.25458.166.139.2551,022
3658.166.140.0/2258.166.140.1 to 58.166.143.25458.166.143.2551,022
3758.166.144.0/2258.166.144.1 to 58.166.147.25458.166.147.2551,022
3858.166.148.0/2258.166.148.1 to 58.166.151.25458.166.151.2551,022
3958.166.152.0/2258.166.152.1 to 58.166.155.25458.166.155.2551,022
4058.166.156.0/2258.166.156.1 to 58.166.159.25458.166.159.2551,022
4158.166.160.0/2258.166.160.1 to 58.166.163.25458.166.163.2551,022
4258.166.164.0/2258.166.164.1 to 58.166.167.25458.166.167.2551,022
4358.166.168.0/2258.166.168.1 to 58.166.171.25458.166.171.2551,022
4458.166.172.0/2258.166.172.1 to 58.166.175.25458.166.175.2551,022
4558.166.176.0/2258.166.176.1 to 58.166.179.25458.166.179.2551,022
4658.166.180.0/2258.166.180.1 to 58.166.183.25458.166.183.2551,022
4758.166.184.0/2258.166.184.1 to 58.166.187.25458.166.187.2551,022
4858.166.188.0/2258.166.188.1 to 58.166.191.25458.166.191.2551,022
4958.166.192.0/2258.166.192.1 to 58.166.195.25458.166.195.2551,022
5058.166.196.0/2258.166.196.1 to 58.166.199.25458.166.199.2551,022
5158.166.200.0/2258.166.200.1 to 58.166.203.25458.166.203.2551,022
5258.166.204.0/2258.166.204.1 to 58.166.207.25458.166.207.2551,022
5358.166.208.0/2258.166.208.1 to 58.166.211.25458.166.211.2551,022
5458.166.212.0/2258.166.212.1 to 58.166.215.25458.166.215.2551,022
5558.166.216.0/2258.166.216.1 to 58.166.219.25458.166.219.2551,022
5658.166.220.0/2258.166.220.1 to 58.166.223.25458.166.223.2551,022
5758.166.224.0/2258.166.224.1 to 58.166.227.25458.166.227.2551,022
5858.166.228.0/2258.166.228.1 to 58.166.231.25458.166.231.2551,022
5958.166.232.0/2258.166.232.1 to 58.166.235.25458.166.235.2551,022
6058.166.236.0/2258.166.236.1 to 58.166.239.25458.166.239.2551,022
6158.166.240.0/2258.166.240.1 to 58.166.243.25458.166.243.2551,022
6258.166.244.0/2258.166.244.1 to 58.166.247.25458.166.247.2551,022
6358.166.248.0/2258.166.248.1 to 58.166.251.25458.166.251.2551,022
6458.166.252.0/2258.166.252.1 to 58.166.255.25458.166.255.2551,022
6558.167.0.0/2258.167.0.1 to 58.167.3.25458.167.3.2551,022
6658.167.4.0/2258.167.4.1 to 58.167.7.25458.167.7.2551,022
6758.167.8.0/2258.167.8.1 to 58.167.11.25458.167.11.2551,022
6858.167.12.0/2258.167.12.1 to 58.167.15.25458.167.15.2551,022
6958.167.16.0/2258.167.16.1 to 58.167.19.25458.167.19.2551,022
7058.167.20.0/2258.167.20.1 to 58.167.23.25458.167.23.2551,022
7158.167.24.0/2258.167.24.1 to 58.167.27.25458.167.27.2551,022
7258.167.28.0/2258.167.28.1 to 58.167.31.25458.167.31.2551,022
7358.167.32.0/2258.167.32.1 to 58.167.35.25458.167.35.2551,022
7458.167.36.0/2258.167.36.1 to 58.167.39.25458.167.39.2551,022
7558.167.40.0/2258.167.40.1 to 58.167.43.25458.167.43.2551,022
7658.167.44.0/2258.167.44.1 to 58.167.47.25458.167.47.2551,022
7758.167.48.0/2258.167.48.1 to 58.167.51.25458.167.51.2551,022
7858.167.52.0/2258.167.52.1 to 58.167.55.25458.167.55.2551,022
7958.167.56.0/2258.167.56.1 to 58.167.59.25458.167.59.2551,022
8058.167.60.0/2258.167.60.1 to 58.167.63.25458.167.63.2551,022
8158.167.64.0/2258.167.64.1 to 58.167.67.25458.167.67.2551,022
8258.167.68.0/2258.167.68.1 to 58.167.71.25458.167.71.2551,022
8358.167.72.0/2258.167.72.1 to 58.167.75.25458.167.75.2551,022
8458.167.76.0/2258.167.76.1 to 58.167.79.25458.167.79.2551,022
8558.167.80.0/2258.167.80.1 to 58.167.83.25458.167.83.2551,022
8658.167.84.0/2258.167.84.1 to 58.167.87.25458.167.87.2551,022
8758.167.88.0/2258.167.88.1 to 58.167.91.25458.167.91.2551,022
8858.167.92.0/2258.167.92.1 to 58.167.95.25458.167.95.2551,022
8958.167.96.0/2258.167.96.1 to 58.167.99.25458.167.99.2551,022
9058.167.100.0/2258.167.100.1 to 58.167.103.25458.167.103.2551,022
9158.167.104.0/2258.167.104.1 to 58.167.107.25458.167.107.2551,022
9258.167.108.0/2258.167.108.1 to 58.167.111.25458.167.111.2551,022
9358.167.112.0/2258.167.112.1 to 58.167.115.25458.167.115.2551,022
9458.167.116.0/2258.167.116.1 to 58.167.119.25458.167.119.2551,022
9558.167.120.0/2258.167.120.1 to 58.167.123.25458.167.123.2551,022
9658.167.124.0/2258.167.124.1 to 58.167.127.25458.167.127.2551,022
9758.167.128.0/2258.167.128.1 to 58.167.131.25458.167.131.2551,022
9858.167.132.0/2258.167.132.1 to 58.167.135.25458.167.135.2551,022
9958.167.136.0/2258.167.136.1 to 58.167.139.25458.167.139.2551,022
10058.167.140.0/2258.167.140.1 to 58.167.143.25458.167.143.2551,022
10158.167.144.0/2258.167.144.1 to 58.167.147.25458.167.147.2551,022
10258.167.148.0/2258.167.148.1 to 58.167.151.25458.167.151.2551,022
10358.167.152.0/2258.167.152.1 to 58.167.155.25458.167.155.2551,022
10458.167.156.0/2258.167.156.1 to 58.167.159.25458.167.159.2551,022
10558.167.160.0/2258.167.160.1 to 58.167.163.25458.167.163.2551,022
10658.167.164.0/2258.167.164.1 to 58.167.167.25458.167.167.2551,022
10758.167.168.0/2258.167.168.1 to 58.167.171.25458.167.171.2551,022
10858.167.172.0/2258.167.172.1 to 58.167.175.25458.167.175.2551,022
10958.167.176.0/2258.167.176.1 to 58.167.179.25458.167.179.2551,022
11058.167.180.0/2258.167.180.1 to 58.167.183.25458.167.183.2551,022
11158.167.184.0/2258.167.184.1 to 58.167.187.25458.167.187.2551,022
11258.167.188.0/2258.167.188.1 to 58.167.191.25458.167.191.2551,022
11358.167.192.0/2258.167.192.1 to 58.167.195.25458.167.195.2551,022
11458.167.196.0/2258.167.196.1 to 58.167.199.25458.167.199.2551,022
11558.167.200.0/2258.167.200.1 to 58.167.203.25458.167.203.2551,022
11658.167.204.0/2258.167.204.1 to 58.167.207.25458.167.207.2551,022
11758.167.208.0/2258.167.208.1 to 58.167.211.25458.167.211.2551,022
11858.167.212.0/2258.167.212.1 to 58.167.215.25458.167.215.2551,022
11958.167.216.0/2258.167.216.1 to 58.167.219.25458.167.219.2551,022
12058.167.220.0/2258.167.220.1 to 58.167.223.25458.167.223.2551,022
12158.167.224.0/2258.167.224.1 to 58.167.227.25458.167.227.2551,022
12258.167.228.0/2258.167.228.1 to 58.167.231.25458.167.231.2551,022
12358.167.232.0/2258.167.232.1 to 58.167.235.25458.167.235.2551,022
12458.167.236.0/2258.167.236.1 to 58.167.239.25458.167.239.2551,022
12558.167.240.0/2258.167.240.1 to 58.167.243.25458.167.243.2551,022
12658.167.244.0/2258.167.244.1 to 58.167.247.25458.167.247.2551,022
12758.167.248.0/2258.167.248.1 to 58.167.251.25458.167.251.2551,022
12858.167.252.0/2258.167.252.1 to 58.167.255.25458.167.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses